/*
  Web client
 
 This sketch connects to a website (http://www.google.com)
 using an Arduino Wiznet Ethernet shield. 
 
 Circuit:
 * Ethernet shield attached to pins 10, 11, 12, 13
 
 created 18 Dec 2009
 by David A. Mellis
 
 */

#include <SPI.h>
#include <Ethernet.h>

// Enter a MAC address for your controller below.
// Newer Ethernet shields have a MAC address printed on a sticker on the shield
byte mac[] = {  0x90, 0xA2, 0xDA, 0x0D, 0x36, 0x82 };
//byte mac[] = {  0x90, 0xA2, 0xDA, 0x0D, 0x6C, 0x35 };
byte ipaddr[] = { 192, 168, 1, 155 };
byte subnet[] = { 255, 255, 255, 0 };
//byte dns[] = { 8, 8, 8, 8 };
byte gate[] = { 192, 168, 1, 1 };
byte a = 0;
int t = 0;
char c;

byte feedOk = 0;
IPAddress server(95,110,157,33);

byte isacquired = 0;

// Initialize the Ethernet client library
// with the IP address and port of the server 
// that you want to connect to (port 80 is default for HTTP):
EthernetClient client;

void setup() {
  delay(1000);
  // start the serial library:
  Serial.begin(9600);
  // start the Ethernet connection:
//  if(Ethernet.begin(mac,ipaddr) == 0) {
//    Serial.println("Failed to configure Ethernet using DHCP");
//    // no point in carrying on, so do nothing forevermore:
//    
//  }
  Ethernet.begin(mac,ipaddr,dns,gate,subnet);

  // give the Ethernet shield a second to initialize:
  delay(1000);

  // if you get a connection, report back via serial:
  
  pinMode(9, OUTPUT);
  pinMode(8, OUTPUT);
  pinMode(7, OUTPUT);
}

void feedBack(String command){
  Serial.println("connecting");
  if (client.connect(server, 80)) {
    Serial.println("connected");
    // Make a HTTP request:
    client.println("GET /ardact.php?command="+command+" ");
    client.println();
    
    while(!client.available()) 
      a = 0;
    c = client.read();
    if(c == '1')
      feedOk = 1;
    else if(c == '0')
      digitalWrite(9, LOW);    
    Serial.print(c);
    Serial.println("disconnecting.");
    client.stop();
       
  } 
  else {
    // kf you didn't get a connection to the server:
    Serial.println("connection failed");
    
  }
}

void comandoTimer(String command, int milliseconds){
//  Serial.println(command.charAt(0));
//  Serial.println(command.charAt(1));
//  Serial.println(command.charAt(2));
//  Serial.println("intimer");
//  char stringa[2];
//  command.toCharArray(stringa,2);
//  Serial.println(stringa);
  if(command == "cs"){
    //Serial.println("intimer1");
    digitalWrite(8, HIGH);
    delay(milliseconds);
    digitalWrite(8, LOW);
    //feedBack(command);
  }
  if(command == "as"){
      //Serial.println("intimer2");
    digitalWrite(7, HIGH);
    delay(milliseconds);
    digitalWrite(7, LOW);
    //feedBack(command);
  }
}

void loop()
{
  delay(3000);
  Serial.println("connecting");
  if (client.connect(server, 80)) {
    Serial.println("connected");
    // Make a HTTP request:
    client.println("GET /ard.php");
    client.println();
    
    while(!client.available()) 
      a = 0;
    c = client.read();
    if(c == '1')
      digitalWrite(9, HIGH);
    else if(c == '0')
      digitalWrite(9, LOW);
    else if(c == '2'){
      String comando("as");
      comandoTimer(comando, 21000); 
    }
    else if(c == '3'){
      String comando("cs");
      comandoTimer(comando, 21000); 
    }
    Serial.print(c);
    Serial.println("disconnecting.");
    client.stop();
       
  } 
  else {
    // kf you didn't get a connection to the server:
    Serial.println("connection failed");
    
  }
  
  // if there are incoming bytes available 
  // from the server, read them and print them:
  

  // if the server's disconnected, stop the client:
  
}

